
QGIS Application - Bug report #1010

'Bus Error' crash on QGIS 0.7 and 0.8 when running on Debian 4.0/Sparc 64

2008-03-26 12:00 AM - jsimantov -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 11070

Description

Platform: Debian 3 and 4 (all releases) on Sparc-64 (ultra 5, 10, 30, 60)

QGIS Version: 7, 8, 9

Problem: Everytime QGIS is to draw anything on the mapping screen (add vector, new layer etc). the program crashes with a 'Bus Error'.

This has been observed in all QGIS releases since 0.7, and occurs with the ready made packages and also when the program is compiled

from source (gcc 4.3)

If this can help, the program crashes after the layer bounds have been displayed in the command line.

Looks more like a Qt-related issue...

Thanks

History

#1 - 2008-07-09 04:34 AM - Tim Sutton

Can you confirm this bug still exists? Which version of Qt are you using?

Regards

Tim

#2 - 2008-08-01 11:00 PM - Tim Sutton

Marked as awaiting user input. I'm removing the must fix status until we have more info. jsimantov Could you also provide a stacktrace (please build in

debug mode first) so we can get some better diagnostics.

Many thanks

Tim

#3 - 2008-09-12 10:27 PM - Paolo Cavallini

Does this still holds true?

I suggest closing it, if we have no user feedback.
#4 - 2008-10-22 10:51 AM - Magnus Homann

- Resolution set to invalid

- Status changed from Open to Closed

Time to close this bug. Submitter can re-open if he/she feels it still is valid.

#5 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
